/**
 * 
 */
package sim.math;

import java.util.Arrays;

import sim.util.SArrays;

/**
 * ...
 * 
 * @author Simon Vezina
 * @since 2020-01-28
 * @version 2020-01-28
 */
public class SPoint2d implements Comparable<SPoint2d> {

  private final double[] value;
  
  /**
   * ...
   * 
   * @param x
   * @param y
   */
  public SPoint2d(double x, double y)
  {
    this.value = new double[2];
    this.value[0] = x;
    this.value[1] = y;
  }
  
  /**
   * ...
   * 
   * @return
   */
  public double getX() 
  {
    return this.value[0];
  }
  
  /**
   * ...
   * 
   * @return
   */
  public double getY()
  {
    return this.value[1];
  }

  @Override
  public int compareTo(SPoint2d p)
  {
    // Comparaison du x.
    int comp = Double.compare(this.value[0], p.value[0]);
    
    // Comparaison du y si x semblable.
    if(comp != 0)
      return comp;
    else
      return Double.compare(this.value[1], p.value[1]);
  }

  @Override
  public String toString() 
  {
    return "[" + this.value[0] + ", " + this.value[1] + "]";
  }

  @Override
  public int hashCode()
  {
    final int prime = 31;
    int result = 1;
    result = prime * result + Arrays.hashCode(value);
    return result;
  }

  @Override
  public boolean equals(Object obj)
  {
    if (this == obj)
      return true;
    if (obj == null)
      return false;
    if (getClass() != obj.getClass())
      return false;
    
    SPoint2d other = (SPoint2d) obj;
    
    if (!SArrays.nearlyEquals(value, other.value))
      return false;
    
    return true;
  }
  
  
}
