/**
 * 
 */
package sim.util;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

/**
 * La classe <b>SWriter</b> reprsente un compositeur de fichier texte dans le but d'crire des informations appartenant  un objet 
 * implmentant l'interface <b>SWriteable</b>.
 *
 * @author Simon Vzina
 * @since 2018-01-16
 * @version 2018-01-16
 */
public class SWriter {

  /**
   * Constructeur d'un compositeur.
   */
  public SWriter()
  {
    
  }

  /**
   * Mthode permettant d'crire dans un fichier texte le contenu d'un objet.
   * 
   * @param file_name Le nom du fichier  crire.
   * @param obj L'objet dont le contenu sera crit dans le fichier.
   */
  public void write(String file_name, SWriteable obj)
  {
    try{
      FileWriter fw = new FileWriter(file_name);
      BufferedWriter bw = new BufferedWriter(fw);
    
      obj.write(bw);
    
      bw.close(); //  fermer celui-ci en premier, sinon, ERROR !!!
      fw.close();   
    }catch(IOException ioe){
      SLog.logWriteLine("Message SWriter - Une erreur de type I/O est survenue.");
      ioe.printStackTrace();
    }
  }
  
}// fin de la classe SWriter
